Bug 510973 - Sata Errors
Sata Errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-12 20:07 EDT by Luke Sheldrick
Modified: 2010-06-28 09:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:36:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Sheldrick 2009-07-12 20:07:53 EDT
Description of problem:
Have been trying to build a mdadm array of two 1TB disks, however have noticed performance is terrible. I've then tried just formatting (ext3/4), and again the perfomance is terrible. 

Looking in the syslog, I can see lots of cycled ATA Errors;

Jul 13 00:55:19 lnd01 kernel: sd 3:0:0:0: [sdd] 1953525168 512-byte hardware sectors: (1.00 TB/931 GiB)
Jul 13 00:55:19 lnd01 kernel: sd 3:0:0:0: [sdd] Write Protect is off
Jul 13 00:55:19 lnd01 kernel: sd 3:0:0:0: [sdd] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
Jul 13 00:56:18 lnd01 kernel: ata4.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x0
Jul 13 00:56:18 lnd01 kernel: ata4.00: BMDMA2 stat 0x650001
Jul 13 00:56:18 lnd01 kernel: ata4.00: cmd 35/00:00:3f:99:00/00:02:50:00:00/e0 tag 0 dma 262144 out
Jul 13 00:56:18 lnd01 kernel:         res 51/04:97:a8:99:00/00:01:50:00:00/e0 Emask 0x1 (device error)
Jul 13 00:56:18 lnd01 kernel: ata4.00: status: { DRDY ERR }
Jul 13 00:56:18 lnd01 kernel: ata4.00: error: { ABRT }
Jul 13 00:56:18 lnd01 kernel: ata4.00: failed to IDENTIFY (I/O error, err_mask=0x1)
Jul 13 00:56:18 lnd01 kernel: ata4.00: revalidation failed (errno=-5)
Jul 13 00:56:18 lnd01 kernel: ata4: hard resetting link
Jul 13 00:56:18 lnd01 kernel: ata4: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
Jul 13 00:56:18 lnd01 kernel: ata4.00: configured for UDMA/33
Jul 13 00:56:18 lnd01 kernel: ata4: EH complete

I'm not sure if the disks are configured incorrectly, or this is a bug, so some help would be appreciated if it is just a misconfig.

The disks are connected via a 2 port Sata raid controller, however no arrays have been created by that (fyi when you do create an array RAID1 via the card, the same errors are present) 

Not sure what info you need but a few that may be useful


Version-Release number of selected component (if applicable):

[root@lnd01 ~]# lspci
00:00.0 Host bridge: Intel Corporation E7505 Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation E7505/E7205 PCI-to-AGP Bridge (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation NV18 [GeForce4 MX 440 AGP 8x] (rev a2)
05:02.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5702X Gigabit Ethernet (rev 02)
05:0c.0 SCSI storage controller: Adaptec AIC-7902 U320 (rev 03)
05:0c.1 SCSI storage controller: Adaptec AIC-7902 U320 (rev 03)
05:0e.0 RAID bus controller: Silicon Image, Inc. SiI 3512 [SATALink/SATARaid] Serial ATA Controller (rev 01)


[root@lnd01 ~]# ./diskcheck.sh 
sda       232.8 GB WDC WD2500BB-00G
sdb       232.8 GB WDC WD2500BB-00G
sdc       931.5 GB SAMSUNG HD103SI 
sdd       931.5 GB SAMSUNG HD103SI 

d & c are teh offenders. connected to the SiL 3512

[root@lnd01 ~]# cat /etc/redhat-release 
Fedora release 11 (Leonidas)
[root@lnd01 ~]# uname -a
Linux lnd01.an0key.net 2.6.29.5-191.fc11.i586 #1 SMP Tue Jun 16 23:11:39 EDT 2009 i686 i686 i386 GNU/Linux
Comment 1 Luke Sheldrick 2009-07-12 21:11:43 EDT
OK, I am going to blame the SiL card here, as have just tried another VIA based raid card, and all is fine..
Comment 2 Bug Zapper 2010-04-27 11:38:48 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 09:36:09 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.